%% Editing a Tabular Expression
%
% The Tabular Expression Dialog allows users to graphically layout a
% tabular expression, for which conditions and outputs can be filled in
% using the embedded matlab subset of the Matlab languauge.
%% Layout
% The Dialog interface allows for the creation of 1-Dimensional vertical
% and horizontal tables, as well as 2-Dimensional tables. The tool supports
% multiple outputs for 1-Dimensional vertical tables.
%
% The figure below shows an example 2-Dimensional Table with the Vertical
% Conditions, Horizontal Conditions, and Outputs notated.
%
% <<ug_layout_2.png>>
%
% The "new" button will create an additional condition box for a particular
% grid. The "delete" button will remove the last condition box in a grid.
% For each condition in the vertical conditions, a subgrid can be created.
% To create a subgrid for a condition click on the "+" button next to the
% intended box.
%
% Whenever the configuration of the vertical and horizontal conditions
% is changed the corresponding output boxes will update as well.
%% Inputs
% The input box labeled "Inputs" allows for the specification of inputs to
% the table. There is no limit in the number of inputs supported. 
%% Expression Name
%% Conditions
% Text input for a condition box must be valid embedded matlab code.
% Expressions in condition boxes will be evaulated with the assumed type of
% boolean. Since embedded matlab is not typechecked this is a pottential
% cause of errors. By running pvs on a table, each expression in a
% condition box will be checked that it is of type boolean.
%
% For a table with multiple outputs, the horizontal condition boxes
% represent different outputs. In the example below, the table has 2
% different outputs labeled, out1 and out2. The syntax of the output specification
% is the same as for the inputs; this allows for outputs to have
% different types.
%
% <<ug_layout_3.png>>
%
%% Outputs
%